Read project key
curl --request GET \
--url https://trylimitless.ai/v1/organization/projects/{project_id}/api_keys/{api_key_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://trylimitless.ai/v1/organization/projects/{project_id}/api_keys/{api_key_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://trylimitless.ai/v1/organization/projects/{project_id}/api_keys/{api_key_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"redacted_value": "<string>",
"name": "<string>",
"created_at": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "project",
"name": "<string>"
},
"status": "active",
"permissions": [
"<string>"
],
"object": "organization.project.api_key",
"last_used_at": 123,
"expires_at": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"doc_url": "<string>"
}
}Project keys
Read project key
Read a key’s metadata and permissions without its secret. Requires project_api_keys:read.
GET
/
v1
/
organization
/
projects
/
{project_id}
/
api_keys
/
{api_key_id}
Read project key
curl --request GET \
--url https://trylimitless.ai/v1/organization/projects/{project_id}/api_keys/{api_key_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://trylimitless.ai/v1/organization/projects/{project_id}/api_keys/{api_key_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://trylimitless.ai/v1/organization/projects/{project_id}/api_keys/{api_key_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"redacted_value": "<string>",
"name": "<string>",
"created_at": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "project",
"name": "<string>"
},
"status": "active",
"permissions": [
"<string>"
],
"object": "organization.project.api_key",
"last_used_at": 123,
"expires_at": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"doc_url": "<string>"
}
}Authorizations
Organization Admin API key with an appropriate scope. Customer keys cannot call organization routes.
Path Parameters
Resource identifier from a previous API response.
Resource identifier from a previous API response.
Response
Successful response.
Show child attributes
Show child attributes
Available options:
active, revoked, expired, suspended Allowed value:
"organization.project.api_key"